using System;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] z = s.Split(' ');
            int n = int.Parse(z[0]);
            int k = int.Parse(z[1]);
            int[,] m = new int[n, n];
            for(int i = 0; i < n; i++)
            {
                string d = Console.ReadLine();
                string[] x = d.Split(' ');
                for(int j = 0; j < n; j++)
                {
                    m[i, j] = int.Parse(x[j]);
                }
            }


            for (int o = 0; o < n; o++)
            {
                for (int p = 0; p < n; p++)
                {
                    for (int i = 0; i < n; i++)
                    {
                        for (int j = 1; j < n; j++)
                        {
                            if (m[o, p] == m[i, j])
                            {

                            }
                        }

                    }
                }
            }
            Console.WriteLine(k / 2);
        }
    }
}